﻿@model Uco.Ingeniera.Software.Entidades.Producto
@{
    ViewBag.Title = "Realizar Compra";
}

<script>
    var urlAutocompletadorProducto = '@Url.Action("AutocompletadorProducto", "Productos")';
    var urlRegistrarCompra = '@Url.Action("RegistrarVenta", "Compras")';
    var urlCargarGeneradorPDF = '@Url.Action("GenerarEnviarPDF", "Compras", new { consecutivo = "valor"})';
    var urlGeneradorReporte = '@Url.Action("RegistrarVenta", "Compras")';
    var listarVentas = false;
    var listarProductos = false;
</script>

<section id="portfolio">
    <div class="container">
        <div class="row">
            <div class="col-lg-12 text-center">
                <h2>Crear Compra</h2>
                <hr class="star-primary">
            </div>
        </div>
        <div class="row">
            <div class="col-md-8" style="display:inline-flex">
                <label for="idComprador" style="margin-top:5px">Identificación Comprador: </label>
                <input id="idComprador" class="form-control" style="margin-left:5px" />
            </div>
                <table class="table table-striped" id="tablaProductosCompra" style="width:100%">
                <thead>
                    <tr>
                        <th style="text-align: center; width:30%">DETALLE</th>
                        <th style="text-align: center; width:20%">PRECIO</th>
                        <th style="text-align: center; width:20%">IVA</th>
                        <th style="text-align: center; width:10%">CANTIDAD</th>
                        <th style="text-align: center; width:20%">TOTAL CON IVA</th>
                        <th>
                            <button type="button" title="Agrega producto" id="btnAgregarProducto" class="btn btn-secondary" onclick="AgregarProductoCompra()">
                                <span class='glyphicon glyphicon-plus'></span>
                            </button>
                        </th>
                    </tr>
                </thead>
                <tfoot id="divTotalCompra" style="background-color: #bbc5c5">
                    <tr>
                        <td><label style="font-weight: bold;">SUBTOTAL:</label> </td>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td><label id="subtotal" style="font-weight: bold; text-align:right; display:block"></label></td>
                        <td></td>
                    </tr>
                    <tr>
                        <td><label style="font-weight: bold;">IVA:</label> </td>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td><label id="totalIva" style="font-weight: bold; text-align:right; display:block"></label></td>
                        <td></td>
                    </tr>
                    <tr>
                        <td><label style="font-weight: bold;">TOTAL:</label> </td>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td><label id="totalCompra" style="font-weight: bold; text-align:right; display:block"></label></td>
                        <td></td>
                    </tr>
                </tfoot>
                <tbody id="">
                    <tr>
                        <td>
                            <div class="form-group">
                                <input class="autocomplete-with-hidden form-control ui-autocomplete-input" id="autocompleteProducto1" required="required" type="text" value="" data-url="@Url.Action("AutocompletadorProducto", "Productos")" autocomplete="off" placeholder="Ingrese el nombre del producto." style="max-width:98%">
                                <input class="form-control" id="idProducto1" style="display:none;" />
                            </div>
                        </td>
                        <td><input class="form-control input-sm" id="precioProducto1" style="text-align:right;" disabled /></td>
                        <td><input class='form-control input-sm' id='valorIvaProducto1' style='text-align:right;' disabled /></td>
                        <td><input class='form-control input-sm' id='cantidadPrecio1' onkeyup='CalcularTotalProducto();' /></td>
                        <td><input class='form-control input-sm' id='valorTotalProducto1' style='text-align:right;' disabled/></td>
                        <td>
                            <button type='button' onclick='EliminarProducto(this)' id='btnEliminar1' style='background-color:transparent; border-color:transparent;' title='Elimina el producto seleccionado'>
                                <span class='glyphicon glyphicon-remove'></span>
                            </button>
                        </td>
                    </tr>
                </tbody>
            </table>
            <button type="button" class="btn btn-default pull-right btn-lg" onclick="GenerarCompra()">
                <i class="fa fa-cc-mastercard"></i> Generar Compra
            </button>
        </div>

    </div>
</section>
